package jp.sf.amateras.mirage.example.page;

import jp.sf.amateras.mirage.SqlManager;
import jp.sf.amateras.mirage.session.SessionFactory;

import org.apache.click.Page;

public abstract class AbstractPage extends Page {

	private static final long serialVersionUID = 1L;

	protected static final String SQL_PREFIX = "jp/sf/amateras/mirage/example/page/";

	protected SqlManager getSqlManager(){
		return SessionFactory.getSession().getSqlManager();
	}

	@Override
	public String getTemplate() {
		return "/template.htm";
	}

}
